Bug 108683 - [astro/boinc-setiathome-enhanced] : use libtool & tweak compiler flags
Summary: [astro/boinc-setiathome-enhanced] : use libtool & tweak compiler flags
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-02 11:00 UTC by Rene Ladan
Modified: 2007-02-05 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2007-02-02 11:00 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan 2007-02-02 11:00:28 UTC
per krismail, add a USE_AUTOTOOLS=libtool:15 to the Makefile to fix building on amd64.

Also in the Makefile, decouple the logic to use mfpmath={i387|sse} from the -mARCH logic.  This prevents passing " ... -mfpmath=sse ... -mfpmath=387 ... " to the compiler.

Fix: Patch attached with submission follows:
Comment 1 Pav Lucistnik freebsd_committer 2007-02-02 15:43:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take
Comment 2 Pav Lucistnik freebsd_committer 2007-02-04 21:06:33 UTC
State Changed
From-To: open->feedback

I just checked the latest log from pointyhat, and this builds fine as is wrt 
objformat changes. Can you prove me opposite?
Comment 3 Pav Lucistnik freebsd_committer 2007-02-05 01:15:25 UTC
State Changed
From-To: feedback->closed

CFLAGS change committed. The libtool change is bogus.
Comment 4 dfilter service freebsd_committer 2007-02-05 01:16:50 UTC
pav         2007-02-05 01:16:39 UTC

  FreeBSD ports repository

  Modified files:
    astro/boinc-setiathome-enhanced Makefile 
  Log:
  Decouple the logic to use mfpmath={i387|sse} from the -mARCH logic.  This
  prevents passing " ... -mfpmath=sse ... -mfpmath=387 ... " to the compiler.
  
  PR:             ports/108683
  Submitted by:   Rene Ladan <r.c.ladan@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.7       +10 -5     ports/astro/boinc-setiathome-enhanced/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"